Browse Source

Improve changelog

Chocobozzz 5 months ago
parent
commit
9880d2adf5
4 changed files with 13 additions and 6 deletions
  1. 4 4
      CHANGELOG.md
  2. 1 1
      scripts/nightly.sh
  3. 1 1
      scripts/release.sh
  4. 7 0
      scripts/upgrade.sh

+ 4 - 4
CHANGELOG.md

@@ -67,18 +67,18 @@ We have many important notes in this release. We know it's a pain for sysadmin,
 
 ### Features
 
-  * :tada: Add "Password protected" video privacy [#5836](https://github.com/Chocobozzz/PeerTube/pull/5836) :tada:
+  * :tada: **Add "Password protected" video privacy** [#5836](https://github.com/Chocobozzz/PeerTube/pull/5836) :tada:
     * A single password can be set using the web interface at video upload/import/update
     * The REST API can store as many passwords as you want, allowing developers to use this feature to easily give or revoke access to a video *on the fly*
-  * :tada: Add video storyboard support :tada:
+  * :tada: **Add video storyboard support** :tada:
     * PeerTube automatically generates a storyboard on video upload/import
     * Viewers can see the image around the targeted timecode when hovering the progress bar
     * Storyboard of videos uploaded/imported before v6 can be generated by the admin using `npm run create-generate-storyboard-job` command
-  * :tada: Add ability for users to replace their video file :tada:
+  * :tada: **Add ability for users to replace their video file** :tada:
     * Has to be enabled by the PeerTube instance administrator
     * The user can replace the video file in the *Update Video* page
     * The *re-upload* date is displayed under the video player
-  * :tada: Add video chapters support :tada:
+  * :tada: **Add video chapters support** :tada:
     * Add chapters in the upload/import/update video page or let PeerTube automatically imports them from the video container/youtube-dl
     * Markers are displayed in the player progress bar to symbolize a chapter
     * Chapter title is displayed when hovering/touching the player progress bar

+ 1 - 1
scripts/nightly.sh

@@ -42,7 +42,7 @@ sed -i 's/"version": "\([^"]\+\)"/"version": "\1-'"$nightly_version"'"/' ./packa
                           "$directory_name/client/dist/" "$directory_name/client/yarn.lock" \
                           "$directory_name/client/package.json" "$directory_name/config" \
                           "$directory_name/dist" "$directory_name/package.json" \
-                          "$directory_name/scripts" "$directory_name/support" \
+                          "$directory_name/scripts/upgrade.sh" "$directory_name/support" \
                           "$directory_name/yarn.lock")
 
   # temporary setup

+ 1 - 1
scripts/release.sh

@@ -88,7 +88,7 @@ find dist/ packages/core-utils/dist/ \
                           "$directory_name/client/dist/" "$directory_name/client/yarn.lock" \
                           "$directory_name/client/package.json" "$directory_name/config" \
                           "$directory_name/dist" "$directory_name/package.json" \
-                          "$directory_name/scripts" "$directory_name/support" \
+                          "$directory_name/scripts/upgrade.sh" "$directory_name/support" \
                           "$directory_name/yarn.lock")
 
   # temporary setup

+ 7 - 0
scripts/upgrade.sh

@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -eu
+
+# Backward path compatibility now upgrade.sh is in dist/scripts since v6
+
+/bin/sh ../dist/scripts/upgrade.sh